Kwalitee Issues

prereq_matches_use

List all used modules in META.yml requires

Error:

  • B
  • strict
  • warnings

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • strict
  • warnings

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

Modules

Name Abstract Version View
MooseX::SlurpyConstructor Make your object constructor collect all unknown attributes 1.2 metacpan
MooseX::SlurpyConstructor::Role::Object A role which implements a slurpy constructor for Moose::Object 1.2 metacpan
MooseX::SlurpyConstructor::Trait::ApplicationToClass 1.2 metacpan
MooseX::SlurpyConstructor::Trait::ApplicationToRole 1.2 metacpan
MooseX::SlurpyConstructor::Trait::Attribute A role to store the slurpy attribute in the metaclass 1.2 metacpan
MooseX::SlurpyConstructor::Trait::Class A role to make immutable constructors slurpy, and add meta-information used to find slurpy attributes 1.2 metacpan
MooseX::SlurpyConstructor::Trait::Composite 1.2 metacpan
MooseX::SlurpyConstructor::Trait::Method::Constructor A role to make immutable constructors slurpy 1.2 metacpan
MooseX::SlurpyConstructor::Trait::Role 1.2 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan
dist.ini metacpan